Subject: bug#73469: 29.4; mouse passing on terminal window generates events

From: Francesco Potortì <[email-masked]>
Date: Fri, 27 Sep 2024 09:48:24 +0200

I have found the culprit: it is xterm-mouse-mode.

>> I don't know when this has started happening.  I use the Emacs shipped
>> by Debian, so I suppose it started when Debian pushed a new version
>> into Testing.
>
>What was the previous Emacs version you used?

The problem started with 29.3 or 29.4, I did not take a note when I first saw the unusual behaviour.  Also because  it was strange and did not happen regularly, while of lately it happened regularly and I had to get down and find the reason because Emacs had become almost unusable on a terminal window.

I can easily turn on and off the problem by just calling xterm-mouse-mode after

emacs -Q -nw

Now I see that I had some problems in the last year which I had circumvented by unsetting COLORTERM before calling emacs under Screen.  It must have been something related, but don't remember what it was.

While trying to identify the environment leading to the bad behaviour, I see that the problem is not apparent on a different terminal and does not depend on the TERM env var.

I'll keep investigating when I find the time.  For the moment being, I'll just disbale xterm-mouse-mode

Thank you for helping

-- 
Francesco Potortì (ricercatore)        ISTI - CNR, Pisa, Italy		       
Web:    http://fly.isti.cnr.it         Skype:  wnlabisti
Mobile: +39.348.8283.107	       also Telegram, and even Wa